Arduino

Reference Language | Libraries | Comparison | Changes

SD : File class

## flush()

Ensures that any bytes written to the file are physically saved to the SD card. This is done automatically when the file is closed.

flush() inherits from the Stream utility class.

#### Syntax

file.flush()

#### Parameters

file: an instance of the File class (returned by SD.open())

#### Returns

none

#### See Also

- close()
- Stream.flush()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes